Package groovy.util

## Class GroovyTestSuite

- java.lang.Object
- - junit.framework.TestSuite
  - - groovy.util.GroovyTestSuite

- All Implemented Interfaces:
    `junit.framework.Test`

      public class GroovyTestSuite
      extends junit.framework.TestSuite

  A TestSuite which will run a Groovy unit test case inside any Java IDE either as a unit test case or as an application.

  You can specify the GroovyUnitTest to run by running this class as an application and specifying the script to run on the command line. `java groovy.util.GroovyTestSuite src/test/Foo.groovy` Or to run the test suite as a unit test suite in an IDE you can use the 'test' system property to define the test script to run. e.g. pass this into the JVM when the unit test plugin runs... `-Dtest=src/test/Foo.groovy`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `file` |
    `protected GroovyClassLoader` | `loader` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyTestSuite()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class` | `compile​(String fileName)` |
    `void` | `loadTestSuite()` |
    `static void` | `main​(String[] args)` |
    `static junit.framework.Test` | `suite()` |

    - ### Methods inherited from class junit.framework.TestSuite

      `addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, runTest, setName, testAt, testCount, tests, toString, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### file

          protected static String file

    - #### loader

          protected final GroovyClassLoader loader

  - ### Constructor Detail

    - #### GroovyTestSuite

          public GroovyTestSuite()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### suite

          public static junit.framework.Test suite()

    - #### loadTestSuite

          public void loadTestSuite()
                             throws Exception

      Throws:
        `Exception`

    - #### compile

          public Class compile​(String fileName)
                        throws Exception

      Throws:
        `Exception`